Bug 1278036 - Openstack Cloud provider is missing the API version select box
Summary: Openstack Cloud provider is missing the API version select box
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.5.0
Assignee: Ladislav Smola
QA Contact: Marius Cornea
URL:
Whiteboard: openstack
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-04 15:19 UTC by Marius Cornea
Modified: 2015-12-08 13:43 UTC (History)
6 users (show)

Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 13:43:57 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 0 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Description Marius Cornea 2015-11-04 15:19:34 UTC
Description of problem:
When adding an Openstack Cloud provider the form is missing the API version select box.

Version-Release number of selected component (if applicable):
5.5.0.9-beta2.20151102161742_5530c9a

How reproducible:
100% 

Steps to Reproduce:
1. Add a New Cloud Provider
2. Select Openstack Type


Actual results:
There is no API version dropdown menu.

Expected results:
There is API version dropdown menu to choose Keystone v2 or v3.

Additional info:
Upstream PR:
https://github.com/ManageIQ/manageiq/pull/5277

Comment 5 CFME Bot 2015-11-12 13:30:17 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/2ae490926143ae358622f3dd45494c1bb3bb20c9

commit 2ae490926143ae358622f3dd45494c1bb3bb20c9
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Thu Nov 5 13:56:55 2015 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Thu Nov 5 13:59:22 2015 +0100

    OpenStack set default api version
    
    For providers without api version, we take default v2. Otherwise
    UI shows blank field that is not an option
    
    Partial fix BZ
    https://bugzilla.redhat.com/show_bug.cgi?id=1278036

 app/controllers/ems_cloud_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 CFME Bot 2015-11-12 20:33:46 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=e3c0c4793ecd408f9a37726ddeabc0ca42789c0d

commit e3c0c4793ecd408f9a37726ddeabc0ca42789c0d
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Thu Nov 5 13:56:55 2015 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Thu Nov 12 17:48:52 2015 +0100

    OpenStack set default api version
    
    For providers without api version, we take default v2. Otherwise
    UI shows blank field that is not an option
    
    Partial fix BZ
    https://bugzilla.redhat.com/show_bug.cgi?id=1278036

 app/controllers/ems_cloud_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 8 CFME Bot 2015-11-12 20:33:51 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=eb9f35bea4c4bbf23c37779f581e99e6884c7994

commit eb9f35bea4c4bbf23c37779f581e99e6884c7994
Merge: 0a84fbd e3c0c47
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Nov 12 12:08:53 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Thu Nov 12 12:08:53 2015 -0500

    Merge branch 'bz1278036' into '5.5.z'
    
    Bz1278036
    
    Missing API version select box in cloud provider
    
    Clean cherry pick of:
    https://github.com/ManageIQ/manageiq/pull/5277
    https://github.com/ManageIQ/manageiq/pull/5297
    
    Fixed BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1278036
    
    See merge request !428

 .../controllers/ems_common/ems_common_form_controller.js     |  3 +++
 app/controllers/ems_cloud_controller.rb                      |  4 ++++
 app/controllers/ems_common.rb                                |  7 ++++++-
 app/views/shared/views/ems_common/angular/_form.html.haml    | 12 +++++++++++-
 .../ems_common/ems_common_form_controller_spec.js            |  7 ++++++-
 5 files changed, 30 insertions(+), 3 deletions(-)

Comment 10 errata-xmlrpc 2015-12-08 13:43:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.